# --------------------------------------------------------------

include $(G4INSTALL)/config/architecture.gmk


# BeginOf: Analysis Variables
# --------------------------------------------------------------
# --------------------------------------------------------------
# --------------------------------------------------------------
#G4VERSION
#ifdef G4VERSION9_2
#  CPPFLAGS += -DG4VERSION9_2
#endif
ifdef G4VERSION9_3
   CPPFLAGS += -DG4VERSION9_3
endif
# --------------------------------------------------------------

CPPFLAGS += -fPIC

G4LIB_BUILD_SHARED=yes


ifdef G4ANALYSIS_USE_GENERAL
  CPPFLAGS += -DG4ANALYSIS_USE_GENERAL
endif

ifdef G4ANALYSIS_USE_NTUPLE
  CPPFLAGS += -DG4ANALYSIS_USE_NTUPLE
endif

ifdef G4ANALYSIS_AIDA_CONFIG_CFLAGS
# AIDA (version 2.2 for now) selected
else 
# Anaphe selected 
  ifdef G4ANALYSIS_USE_ANAPHE
    CPPFLAGS += -DG4ANALYSIS_USE_ANAPHE
    include anaphe.gmk
  endif
endif

ifdef G4ANALYSIS_USE_FILE
  CPPFLAGS += -DG4ANALYSIS_USE_FILE
endif

ifdef G4ANALYSIS_USE_ROOT
CPPFLAGS += -DG4ANALYSIS_USE_ROOT -D_REENTRANT $(shell $(ROOTSYS)/bin/root-config --cflags)
EXTRALIBS += -L$(ROOTSYS)/lib $(shell $(ROOTSYS)/bin/root-config --libs) -ldl
endif

#endif
#
#  XML, needed for optical transport
#
ifdef GATE_USE_OPTICAL
CPPFLAGS  += -DGATE_USE_OPTICAL `xml2-config --cflags`
EXTRALIBS += `xml2-config --libs`
endif

#
# LMF
#
ifdef GATE_USE_LMF
CPPFLAGS += -DGATE_USE_LMF -I$(LMF_HOME)/includes
EXTRALIBS += -L$(LMF_HOME)/lib -lLMF
LDFLAGS += -L$(LMF_HOME)/lib -lLMF
ifdef LMF_STORE_DETECTOR_COMPTON
CPPFLAGS += -DLMF_STORE_DETECTOR_COMPTON
endif
endif

#
# ECAT7, CPS innovations/Siemens data format for PET
#
ifdef GATE_USE_ECAT7
CPPFLAGS += -DGATE_USE_ECAT7 -I$(ECAT7_HOME)/include
EXTRALIBS += -L$(ECAT7_HOME)/lib/$(G4SYSTEM) -lecat
endif 

#""""""""""""""""""""""""""""""""""""""""""""""""""""#
#          Deprecated or antiquated header           #
#              and No overload warning               #
#                                                    #
# (these options are only usefull with GNU compiler) #
ifeq ($(CXX),g++)
 CXXFLAGS += -Wno-deprecated -Wno-overloaded-virtual  
endif
# --------------------------------------------------------------

LDFLAGS += -L/usr/X11R6/lib -lXt
ifdef G4VIS_USE_OPENGLXM
LDFLAGS += -lXm
endif

CPPFLAGS := $(filter-out -I/usr/include , $(CPPFLAGS))




